MediaWiki:Common.css

From Library of Turku
Revision as of 20:42, 1 September 2024 by Administrator (talk | contribs) (test)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* CSS placed here will be applied to all skins */
body.rootpage-Miraheze_Meta.action-view h1.firstHeading, body.rootpage-Miraheze_Meta.action-submit h1.firstHeading, body.page-Miraheze_Meta.action-view #siteSub, body.page-Miraheze_Meta.action-submit #siteSub { display: none; }

/* Used by Template:Notice */
.messagebox.standard-talk {
    border: 1px solid #c0c090;
    background-color: #FCF7E3;
    margin: 4px auto;
}
.messagebox.warn {
    border: 1px solid #FF0000;
    background-color: #FFD9D9;
    margin: 4px auto;
}
.messagebox.info {
    border: 1px solid #003D8C;
    background-color: #EBFEFF;
    margin: 4px auto;
}
.messagebox.valid {
    border: 1px solid #002E01;
    background-color: #D9FFD9;
    margin: 4px auto;
}
.messagebox.createwikiprotect {
    border: 1px solid #FF0066;
    background-color: #FFE0ED;
    margin: 4px auto;
}
.messagebox.archive {
    border: 1px solid #331A00;
    background-color: #F0EBE6;
    margin: 4px auto;
}
.mw-charinsert-buttons {
	margin-top: 10px;
	border: 1px solid #aaaaaa;
	padding: 1px;
	text-align: center;
	font-size: 110%;
}
.mw-charinsert-buttons a {
	color: black;
	background-color: #cde !important;
	font-weight: bold;
	font-size: .9em;
	text-decoration: none;
	border: thin #069 outset;
	padding: 0 .1em .1em;
}
.mw-charinsert-buttons a:hover,
.mw-charinsert-buttons a:active {
	background-color: #bcd;
	border-style: inset;
}
.client-js .mw-edittools-section {
	display: inline;
}
.client-js .mw-edittools-section input[type="button"] {
	font-size: 0.9em;
	padding-left: 1px;
	padding-right: 1px;
	margin-left: 1px;
}
/* User block messages */
div.user-block {
    padding: 5px;
    margin-bottom: 0.5em;
    border: 1px solid #A9A9A9;
    background-color: #FFEFD5;
}
/* Footer and header message box styles */
table.fmbox {
    clear: both;
    margin: 0.2em 0;
    width: 100%;
    border: 1px solid #a2a9b1;
    background: #f8f9fa;     /* Default "system" gray */
}
table.fmbox-system {
    background: #f8f9fa;
}
table.fmbox-warning {
    border: 1px solid #bb7070;  /* Dark pink */
    background: #ffdbdb;        /* Pink */
}
table.fmbox-editnotice {
    background: transparent;
}
/* For template documentation */
.template-documentation {
	clear: both;
	margin: 1em 0 0 0;
	border: 1px solid #a2a9b1;
	background-color: #ecfcf4;
	padding: 1em;
}

/* Cell sizes for ambox/tmbox/imbox/cmbox/ombox/fmbox/dmbox message boxes */
th.mbox-text, td.mbox-text {   /* The message body cell(s) */
	border: none;
	/* @noflip */
	padding: 0.25em 0.9em;     /* 0.9em left/right */
	width: 100%;               /* Make all mboxes the same width regardless of text length */
}

td.mbox-image {                /* The left image cell */
	border: none;
	/* @noflip */
	padding: 2px 0 2px 0.9em;  /* 0.9em left, 0px right */
	text-align: center;
}

td.mbox-imageright {           /* The right image cell */
	border: none;
	/* @noflip */
	padding: 2px 0.9em 2px 0;  /* 0px left, 0.9em right */
	text-align: center;
}

td.mbox-empty-cell {           /* An empty narrow cell */
	border: none;
	padding: 0;
	width: 1px;
}

/* Article message box styles */
table.ambox {
    margin: 0 10%;                  /* 10% = Will not overlap with other elements */
    border: 1px solid #a2a9b1;
    /* @noflip */
    border-left: 10px solid #36c;  /* Default "notice" blue */
    background: #fbfbfb;
}
table.ambox + table.ambox {      /* Single border between stacked boxes. */
    margin-top: -1px;
}
.ambox th.mbox-text,
.ambox td.mbox-text {            /* The message body cell(s) */
    padding: 0.25em 0.5em;       /* 0.5em left/right */
}
.ambox td.mbox-image {           /* The left image cell */
    /* @noflip */
    padding: 2px 0 2px 0.5em;    /* 0.5em left, 0px right */
}
.ambox td.mbox-imageright {      /* The right image cell */
    /* @noflip */
    padding: 2px 0.5em 2px 0;    /* 0px left, 0.5em right */
}

table.ambox-notice {
    /* @noflip */
    border-left: 10px solid #36c;    /* Blue */
}
table.ambox-speedy {
    /* @noflip */
    border-left: 10px solid #b32424;    /* Red */
    background: #fee7e6;                   /* Pink */
}
table.ambox-delete {
    /* @noflip */
    border-left: 10px solid #b32424;    /* Red */
}
table.ambox-content {
    /* @noflip */
    border-left: 10px solid #f28500;    /* Orange */
}
table.ambox-style {
    /* @noflip */
    border-left: 10px solid #fc3;    /* Yellow */
}
table.ambox-move {
    /* @noflip */
    border-left: 10px solid #9932cc;    /* Purple */
}
table.ambox-protection {
    /* @noflip */
    border-left: 10px solid #a2a9b1;       /* Gray-gold */
}

/* Image message box styles */
table.imbox {
    margin: 4px 10%;
    border-collapse: collapse;
    border: 3px solid #36c;    /* Default "notice" blue */
    background: #fbfbfb;
}
.imbox .mbox-text .imbox {  /* For imboxes inside imbox-text cells. */
    margin: 0 -0.5em;       /* 0.9 - 0.5 = 0.4em left/right.        */
    display: block;         /* Fix for webkit to force 100% width.  */
}
.mbox-inside .imbox {       /* For imboxes inside other templates.  */
    margin: 4px;
}

table.imbox-notice {
    border: 3px solid #36c;    /* Blue */
}
table.imbox-speedy {
    border: 3px solid #b32424;    /* Red */
    background: #fee7e6;             /* Pink */
}
table.imbox-delete {
    border: 3px solid #b32424;    /* Red */
}
table.imbox-content {
    border: 3px solid #f28500;    /* Orange */
}
table.imbox-style {
    border: 3px solid #fc3;    /* Yellow */
}
table.imbox-move {
    border: 3px solid #9932cc;    /* Purple */
}
table.imbox-protection {
    border: 3px solid #a2a9b1;       /* Gray-gold */
}
table.imbox-license {
    border: 3px solid #88a;       /* Dark gray */
    background: #f7f8ff;          /* Light gray */
}
table.imbox-featured {
    border: 3px solid #cba135;    /* Brown-gold */
}

/* Category message box styles */
table.cmbox {
    margin: 3px 10%;
    border-collapse: collapse;
    border: 1px solid #a2a9b1;
    background: #DFE8FF;    /* Default "notice" blue */
}

table.cmbox-notice {
    background: #D8E8FF;    /* Blue */
}
table.cmbox-speedy {
    margin-top: 4px;
    margin-bottom: 4px;
    border: 4px solid #b32424;    /* Red */
    background: #FFDBDB;          /* Pink */
}
table.cmbox-delete {
    background: #FFDBDB;    /* Red */
}
table.cmbox-content {
    background: #FFE7CE;    /* Orange */
}
table.cmbox-style {
    background: #FFF9DB;    /* Yellow */
}
table.cmbox-move {
    background: #E4D8FF;    /* Purple */
}
table.cmbox-protection {
    background: #EFEFE1;    /* Gray-gold */
}

/* Other pages message box styles */
table.ombox {
    margin: 4px 10%;
    border-collapse: collapse;
    border: 1px solid #a2a9b1;       /* Default "notice" gray */
    background: #f8f9fa;
}

table.ombox-notice {
    border: 1px solid #a2a9b1;       /* Gray */
}
table.ombox-speedy {
    border: 2px solid #b32424;    /* Red */
    background: #fee7e6;             /* Pink */
}
table.ombox-delete {
    border: 2px solid #b32424;    /* Red */
}
table.ombox-content {
    border: 1px solid #f28500;    /* Orange */
}
table.ombox-style {
    border: 1px solid #fc3;    /* Yellow */
}
table.ombox-move {
    border: 1px solid #9932cc;    /* Purple */
}
table.ombox-protection {
    border: 2px solid #a2a9b1;       /* Gray-gold */
}

/* Talk page message box styles */
table.tmbox {
    margin: 4px 10%;
    border-collapse: collapse;
    border: 1px solid #c0c090;    /* Default "notice" gray-brown */
    background: #f8eaba;
}
.mediawiki .mbox-inside .tmbox { /* For tmboxes inside other templates. The "mediawiki" class ensures that */
    margin: 2px 0;               /* this declaration overrides other styles (including mbox-small above)   */
    width: 100%;                 /* For Safari and Opera */
}
.mbox-inside .tmbox.mbox-small { /* "small" tmboxes should not be small when  */
    line-height: 1.5em;          /* also "nested", so reset styles that are   */
    font-size: 100%;             /* set in "mbox-small" above.                */
}

table.tmbox-speedy {
    border: 2px solid #b32424;    /* Red */
    background: #fee7e6;             /* Pink */
}
table.tmbox-delete {
    border: 2px solid #b32424;    /* Red */
}
table.tmbox-content {
    border: 2px solid #f28500;    /* Orange */
}
table.tmbox-style {
    border: 2px solid #fc3;    /* Yellow */
}
table.tmbox-move {
    border: 2px solid #9932cc;    /* Purple */
}
table.tmbox-protection,
table.tmbox-notice {
    border: 1px solid #c0c090;    /* Gray-brown */
}

/* Disambig and set index box styles */
table.dmbox {
    clear: both;
    margin: 0.9em 1em;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    background: transparent;
}

/* Required for inverting the logo colours in the DarkMode skin */

.client-dark-mode .mw-logo-container { filter: invert(1) }

/* sysop-show from enwiki */
div.sysop-show{display:none;}

/* These mbox-small classes must be placed after all other
   ambox/tmbox/ombox etc classes. "html body.mediawiki" is so
   they override "table.ambox + table.ambox" above. */
html body.mediawiki .mbox-small {   /* For the "small=yes" option. */
	/* @noflip */
	clear: right;
	/* @noflip */
	float: right;
	/* @noflip */
	margin: 4px 0 4px 1em;
	box-sizing: border-box;
	width: 238px;
	font-size: 88%;
	line-height: 1.25em;
}

/* From Module:Portal navigation/styles.css */

.portal-navigation::after {
	content: "";
	display: block;
	clear: both;
}
.portal-navigation-header {
	font-size: 1.6875em;
	border-radius: 2px;
	font-weight: bold;
	padding: .25em;
}
.portal-navigation-portalicon {
	display: inline-block;
	padding: .3em;
	margin: 0 0 0 .5em;
}
.portal-navigation[dir="ltr"] .portal-navigation-portalicon,
.portal-navigation-force-ltr .portal-navigation-portalicon {
	/* @noflip */
	margin: 0 0 0 .5em;
}
.portal-navigation[dir="rtl"] .portal-navigation-portalicon,
.portal-navigation-force-rtl .portal-navigation-portalicon {
	/* @noflip */
	margin: 0 .5em 0 0;
}
ul.portal-navigation-body {
	font-size: 1.125em;
	margin: 0 0 1.125em;
	padding: 0;
}
.portal-navigation[dir="ltr"] .portal-navigation-header,
.portal-navigation-force-ltr .portal-navigation-header,
.portal-navigation[dir="ltr"] .portal-navigation-body,
.portal-navigation-force-ltr .portal-navigation-body {
	/* @noflip */
	text-align: left;
}
.portal-navigation[dir="rtl"] .portal-navigation-header,
.portal-navigation-force-rtl .portal-navigation-header,
.portal-navigation[dir="rtl"] .portal-navigation-body,
.portal-navigation-force-rtl .portal-navigation-body {
	/* @noflip */
	text-align: right;
}
.portal-navigation-body > li {
	display: inline-block;
	position: relative;
	vertical-align: top;
}
.portal-navigation[dir="ltr"] .portal-navigation-body > li,
.portal-navigation-force-ltr .portal-navigation-body > li {
	/* @noflip */
	float: left;
}
.portal-navigation[dir="rtl"] .portal-navigation-body > li,
.portal-navigation-force-rtl .portal-navigation-body > li {
	/* @noflip */
	float: right;
}
.portal-navigation-entry {
	display: inline-block;
	margin: 1em;
	padding-bottom: .5em;
	font-weight: bold;
	border-bottom: .3em solid #c8ccd1;
}
.portal-navigation-entry-has-subtabs {
	margin-bottom: 0;
	border-bottom: none;
}
.portal-navigation-tabicon {
	margin: 0 .75em 0 0;
}
.portal-navigation[dir="ltr"] .portal-navigation-tabicon,
.portal-navigation-force-ltr .portal-navigation-tabicon {
	/* @noflip */
	margin: 0 .75em 0 0;
}
.portal-navigation[dir="rtl"] .portal-navigation-tabicon,
.portal-navigation-force-rtl .portal-navigation-tabicon {
	/* @noflip */
	margin: 0 0 0 .75em;
}
ul.portal-navigation-subtabs {
	list-style: none;
	font-size: 95%;
	margin: 0 1em;
	padding: 1.125em 0;
	border-style: solid;
	border-width: .35em 0;
}
.portal-navigation-subtabs > li {
	margin: 0;
	padding: 0;
}

/* CSS used on MediaWiki.org */
.mainpage_row {
	display: flex;
	flex-direction: row;
	flex-flow: row wrap;
	justify-content: space-between;
	padding: 0;
	margin: 0 -5px 0 -5px;
}
.mainpage_box {
	flex: 1;
	margin: 5px;
	min-width: 210px;
	border: 1px solid #CCC;
	padding: 0 10px 10px 10px;
	box-shadow: 0 2px 2px rgba(0,0,0,0.1);
}
.mainpage_box h3 {
	/* Reset padding so is equal across skins */
	padding-right: 0;
	padding-top: 0;
	padding-bottom: 0;
	/* Padding left gets overridden by headanchor gadget */
	margin: 0.5em 0;
}
/* Set padding left only if headanchor gadget is not enabled */
.mainpage_box h3:not(.tpl-vheadanchor-heading) {
	padding-left: 0;
}
.mainpage_box h3 .header_icon {
	float: left;
	margin-right: 5px;
}
.mainpage_box .items {
	border-top: 1px solid #CCC;
	padding-top: 0.5em;
}
.mainpage_box p:last-child {
	margin-bottom: 0;
}
.mainpage_boxcontents_small {
	font-size: 95%;
}
/* Style the "other languages" box the same way as other boxes on the main page */
.mw-pt-languages {
	display: block;
	background: none;
	border: 1px solid #CCC;
	box-shadow: 0 2px 2px rgba(0,0,0,0.1);
	width: auto;
}
.mw-pt-languages-label {
	background: none;
	border-right: none;
}

@media screen and (max-width: 719px) {
	.thumb {
		float: none;
	}
	.thumb, .thumbinner {
		margin-left: auto;
		margin-right: auto;
	}
}

.mw-parser-output .shortcut {
	display: block;
	background: none;
	border: 1px solid #CCC;
	box-shadow: 0 2px 2px rgba(0,0,0,0.1);
	width: auto;
}

/* Tech namespace */ 

.ns-1600 #p-logo a {
 background-image: url(https://static.miraheze.org/commonswiki/5/51/Nutheze_black.svg) !important;
 }

body.rootpage-Tech_Home.action-view h1.firstHeading, body.rootpage-Tech_Home.action-submit h1.firstHeading { display: none; }
.ns-1600 #p-logo {
  position: relative;
  margin-top: 0px;
  width: 10em;
  height: 160px;
  top: 0;
}
.ns-1600 #p-logo::before {
  content: "SRE";
  letter-spacing: 4px;
  display: block;
  position: absolute;
  bottom: 1em;
  background: #C6FFE0;
  color: #333;
  font: bold 17px/1 sans-serif;
  opacity: 0.9;
  border: 3px solid #007092;
  border-radius: 2em;
  text-align: center;
  padding: 0.5em 1em;
  box-sizing: border-box;
  width: 100%;
  transform: rotate(-10deg);
  pointer-events: none;
  transition: transform 0.2s ease-out; /* transition out */
}
.ns-1600 #p-logo:hover::before {
  transition: transform 0.5s ease; /* transition in */
  transform: rotate(0deg);
}

/* Miraheze-9-year */ 
.page-Miraheze-9-year #p-Requests, .page-Miraheze-9-year #p-Noticeboards, .page-Miraheze-9-year #p-Miraheze, .page-Miraheze-9-year #p-Donate, .page-Miraheze-9-year #p-tb, .page-Miraheze-9-year #p-Adminisration, .page-Miraheze-9-year #p-managewiki-sidebar-header, .page-Miraheze-9-year .mw-sidebar-action, .page-Miraheze-9-year #left-navigation, .page-Miraheze-9-year #right-navigation, .page-Miraheze-9-year .mw-body-header, .page-Miraheze-9-year #footer-info-credits, .page-Miraheze-9-year #catlinks, .page-Miraheze-9-year #siteNotice { display: none; }

/* CWS - Credit to WMF CWS/Community Tech for the CSS */
.community-wishlist-survey-cards-row {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	margin: 0 -0.5625em;
}
.community-wishlist-survey-card {
	border: solid 1px #a2a9b1;
	box-sizing: border-box;
	border-radius: 2px;
	box-shadow: 0 2px 2px rgba(0,0,0,0.1);
	display: inline-block;
	flex: 1;
	margin: 0.5625em;
	padding: 1.125em;
	min-width: 10em;
	width: 15em;
}
.community-wishlist-survey-card--text {
	vertical-align: top;
}
.community-wishlist-survey-card--text > div {
	margin-top: 10px;
}

/* Display [[MediaWiki:Tagline]] */
#siteSub {
    display: block;
}

/* Hide "Subject" field on [[Requests for reopening wikis]] new section prompt and "New section" button (unused) */
.page-Requests_for_reopening_wikis .mw-editform #wpSummaryLabel, .page-Requests_for_reopening_wikis #ca-addsection, .page-Requests_for_reopening_wikis .mw-message-box {
    display: none;
}

/* Hide page title on RequestWiki, GlobalRenameRequest and WikiDiscover */
.page-Special_RequestWiki #firstHeading, .page-Special_RequestWiki .vector-article-toolbar, .rootpage-Special_GlobalRenameRequest .mw-body-header, .rootpage-Special_GlobalRenameRequest .mw-article-toolbar-container, .page-Special_WikiDiscover #firstHeading, .page-Special_WikiDiscover .vector-article-toolbar, #p-lang-btn, .rootpage-Fundraiser .firstHeading, .rootpage-Fundraiser .siteSub {
    display: none;
}

/* nowrap templates */
.nowrap, .nowraplinks a {
    white-space: nowrap;
}


@font-face {
  font-family: "Ukilen";
  src: url("https://static.miraheze.org/boryaworldwiki/9/9a/UkilenLg.otf");
}

.ukilen {
	font-family: "Ukilen";
}
@font-face {
  font-family: "EmmAlhi";
  src: url("https://static.miraheze.org/boryaworldwiki/b/bc/EmmAlhi.otf");
}

.alhi {
    font-family: "EmmAlhi";
}

@font-face {
  font-family: "MallianFont";
  src: url("https://static.miraheze.org/boryaworldwiki/4/48/Mallian.otf");
}

.mallian {
    font-family: "MallianFont";
}

@font-face {
  font-family: "KzmrFont";
  src: url("https://static.miraheze.org/boryaworldwiki/d/dd/Kzmr.otf");
}

.kzmr {
    font-family: "KzmrFont";
}